# TIFF IO

Read and write TIFF images.

There is only most basic support for the TIFF format available for now; for instance, multiple pages are not yet supported.

Summary

TIFF IO | Read and write TIFF images.
Functions |
gdImageTiffCtx | Write the gd image as a tiff file.
gdImageCreateFromTiffCtx | Create a gdImage from a TIFF file input from an gdIOCtx.
gdImageCreateFromTIFF |
gdImageCreateFromTiffPtr |
gdImageTiff |
gdImageTiffPtr |

### Functions

### gdImageTiffCtx

> void gdImageTiffCtx( | gdImagePtr |  | image,
> | gdIOCtx | * | out | )

Write the gd image as a tiff file.

#### Parameters

image | gd image structure;
out | the stream where to write

### gdImageCreateFromTiffCtx

> gdImagePtr gdImageCreateFromTiffCtx( | gdIOCtx | * | infile | )

Create a gdImage from a TIFF file input from an gdIOCtx.

### gdImageCreateFromTIFF

### gdImageCreateFromTiffPtr

> gdImagePtr gdImageCreateFromTiffPtr( | int |  | size,
> | void | * | data | )

### gdImageTiff

> void gdImageTiff( | gdImagePtr |  | im,
> | FILE | * | outFile | )

### gdImageTiffPtr

> void * gdImageTiffPtr( | gdImagePtr |  | im,
> | int | * | size | )

> void gdImageTiffCtx( | gdImagePtr |  | image,
> | gdIOCtx | * | out | )

Write the gd image as a tiff file.

> gdImagePtr gdImageCreateFromTiffCtx( | gdIOCtx | * | infile | )

Create a gdImage from a TIFF file input from an gdIOCtx.

> gdImagePtr gdImageCreateFromTiffPtr( | int |  | size,
> | void | * | data | )

> void gdImageTiff( | gdImagePtr |  | im,
> | FILE | * | outFile | )

> void * gdImageTiffPtr( | gdImagePtr |  | im,
> | int | * | size | )

Close